Index: /extensions/NBC_UserAdvManager/trunk/maintain.inc.php
===================================================================
--- /extensions/NBC_UserAdvManager/trunk/maintain.inc.php	(revision 5055)
+++ /extensions/NBC_UserAdvManager/trunk/maintain.inc.php	(revision 5056)
@@ -2,7 +2,10 @@
 
 if(!defined("NBC_UAM_PATH")) define('NBC_UAM_PATH' , PHPWG_PLUGINS_PATH.basename(dirname(__FILE__)).'/');
+if (!defined('NBC_UAM_ROOT')) {
+  define('NBC_UAM_ROOT',     dirname(__FILE__).'/');
+}
 
 include_once (NBC_UAM_PATH.'include/constants.php');
-include_once (NBC_UAM_PATH.'include/functions_UserAdvManager.inc.php');
+include_once (NBC_UAM_PATH.'include/functions.inc.php');
 
 function plugin_install()
@@ -10,6 +13,22 @@
 	global $conf;
 	
+  $default1 = array('false','false','false',-1,-1,-1,'false','false','',-1,'','','false','','false',100,'false','false',10,'Hello.
+	
+This is a reminder because a very long time passed since your last visit on our gallery. If you do not want anymore to use your access account, please let us know by replying to this email. Your account will be deleted.
+
+On receipt of this message and no new visit within 15 days, we would be obliged to automatically delete your account.
+
+Best regards,
+
+The admin of the gallery.','false');
+
   $q = '
 INSERT INTO '.CONFIG_TABLE.' (param, value, comment)
+VALUES ("nbc_UserAdvManager","'.addslashes(serialize($default1)).'","NBC_UAM parameters")
+  ;';
+  pwg_query($q);
+  
+/*  $q = '
+INSERT INTO '.CONFIG_TABLE.' (param, value, comment)
 VALUES ("nbc_UserAdvManager","false;false;false;-1;-1;-1;false;false;;-1;;;false;;false;100;false;false;10;Hello.
 	
@@ -22,8 +41,25 @@
 The admin of the gallery.;false","Parametres du plugin nbc UserAdvManager")
   ;';
-  pwg_query($q);
+  pwg_query($q);*/
+
+  $default2 = array('false',5,'Hello.
+		
+This is a reminder message because you registered on our gallery but you do not validate your registration and your validation key has expired. To still allow you to access to our gallery, your validation period has been reset. You have again 5 days to validate your registration.
+
+Note: After this period, your account will be permanently deleted.','false','Hello.
+
+This is a reminder message because you registered on our gallery but you do not validate your registration and your validation key will expire. To allow you access to our gallery, you have 2 days to confirm your registration by clicking on the link in the message you should have received when you registered.
+
+Note: After this period, your account will be permanently deleted.');
 
   $q = '
 INSERT INTO '.CONFIG_TABLE.' (param, value, comment)
+VALUES ("nbc_UserAdvManager_ConfirmMail","'.addslashes(serialize($default2)).'","NBC_UAM ConfirmMail parameters")
+  ;';
+  pwg_query($q);
+
+
+/*  $q = '
+INSERT INTO '.CONFIG_TABLE.' (param, value, comment)
 VALUES ("nbc_UserAdvManager_ConfirmMail","false;5;Hello.
 		
@@ -36,5 +72,5 @@
 Note: After this period, your account will be permanently deleted.","Parametres nbc_UserAdvManager - ConfirmMail")
   ;';
-  pwg_query($q);
+  pwg_query($q);*/
 
 	$q = "
@@ -65,8 +101,9 @@
 {
 	  global $conf;
-    
+
 /* Cleaning obsolete files */
     update_files($plugin_id);
-	
+
+
 /* Check for upgrade from 2.10 to 2.11 */
 	  $query = '
@@ -107,4 +144,30 @@
     upgrade_212();
   }
+
+
+/* Serializing conf parameters - Available since 2.13.5 */
+  if (unserialize($conf['nbc_UserAdvManager']) === false)
+  {
+    $data = explode(';', $conf['nbc_UserAdvManager']);
+
+    $query = '
+UPDATE '.CONFIG_TABLE.'
+  SET value = "'.addslashes(serialize($data)).'"
+  WHERE param = "nbc_UserAdvManager"
+;';
+    pwg_query($query);
+  }
+  
+  if (unserialize($conf['nbc_UserAdvManager_ConfirmMail']) === false)
+  {
+    $data = explode(';', $conf['nbc_UserAdvManager_ConfirmMail']);
+
+    $query = '
+UPDATE '.CONFIG_TABLE.'
+  SET value = "'.addslashes(serialize($data)).'"
+  WHERE param = "nbc_UserAdvManager_ConfirmMail"
+;';
+    pwg_query($query);
+  }
 }
 
@@ -170,9 +233,9 @@
 	global $conf;
 
-  $conf_nbc_UserAdvManager = isset($conf['nbc_UserAdvManager']) ? explode(";" , $conf['nbc_UserAdvManager']) : array();
-
-  if ((!isset($conf_nbc_UserAdvManager[14]) and !isset($conf_nbc_UserAdvManager[15])) and !isset($conf_nbc_UserAdvManager[16]) and !isset($conf_nbc_UserAdvManager[17]))
-  {
-    $upgrade_nbc_UserAdvManager = $conf_nbc_UserAdvManager[0].';'.$conf_nbc_UserAdvManager[1].';'.$conf_nbc_UserAdvManager[2].';'.$conf_nbc_UserAdvManager[3].';'.$conf_nbc_UserAdvManager[4].';'.$conf_nbc_UserAdvManager[5].';'.$conf_nbc_UserAdvManager[6].';'.$conf_nbc_UserAdvManager[7].';'.$conf_nbc_UserAdvManager[8].';'.$conf_nbc_UserAdvManager[9].';'.$conf_nbc_UserAdvManager[10].';'.$conf_nbc_UserAdvManager[11].';'.$conf_nbc_UserAdvManager[12].';'.$conf_nbc_UserAdvManager[13].';false;100;false;false;10;Hello.
+  $conf_UAM = isset($conf['nbc_UserAdvManager']) ? explode(";" , $conf['nbc_UserAdvManager']) : array();
+
+  if ((!isset($conf_UAM[14]) and !isset($conf_UAM[15])) and !isset($conf_UAM[16]) and !isset($conf_UAM[17]))
+  {
+    $upgrade_UAM = $conf_UAM[0].';'.$conf_UAM[1].';'.$conf_UAM[2].';'.$conf_UAM[3].';'.$conf_UAM[4].';'.$conf_UAM[5].';'.$conf_UAM[6].';'.$conf_UAM[7].';'.$conf_UAM[8].';'.$conf_UAM[9].';'.$conf_UAM[10].';'.$conf_UAM[11].';'.$conf_UAM[12].';'.$conf_UAM[13].';false;100;false;false;10;Hello.
 	
 This is a reminder because a very long time passed since your last visit on our gallery. If you do not want anymore to use your access account, please let us know by replying to this email. Your account will be deleted.
@@ -186,5 +249,5 @@
 		$query = '
 UPDATE '.CONFIG_TABLE.'
-SET value="'.$upgrade_nbc_UserAdvManager.'"
+SET value="'.$upgrade_UAM.'"
 WHERE param="nbc_UserAdvManager"
 LIMIT 1
@@ -221,13 +284,13 @@
 	global $conf;
 
-  $conf_nbc_UserAdvManager = isset($conf['nbc_UserAdvManager']) ? explode(";" , $conf['nbc_UserAdvManager']) : array();
-
-  if ((!isset($conf_nbc_UserAdvManager[20])))
-  {
-    $upgrade_nbc_UserAdvManager = $conf_nbc_UserAdvManager[0].';'.$conf_nbc_UserAdvManager[1].';'.$conf_nbc_UserAdvManager[2].';'.$conf_nbc_UserAdvManager[3].';'.$conf_nbc_UserAdvManager[4].';'.$conf_nbc_UserAdvManager[5].';'.$conf_nbc_UserAdvManager[6].';'.$conf_nbc_UserAdvManager[7].';'.$conf_nbc_UserAdvManager[8].';'.$conf_nbc_UserAdvManager[9].';'.$conf_nbc_UserAdvManager[10].';'.$conf_nbc_UserAdvManager[11].';'.$conf_nbc_UserAdvManager[12].';'.$conf_nbc_UserAdvManager[13].';'.$conf_nbc_UserAdvManager[14].';'.$conf_nbc_UserAdvManager[15].';'.$conf_nbc_UserAdvManager[16].';'.$conf_nbc_UserAdvManager[17].';'.$conf_nbc_UserAdvManager[18].';'.$conf_nbc_UserAdvManager[19].';false';
+  $conf_UAM = isset($conf['nbc_UserAdvManager']) ? explode(";" , $conf['nbc_UserAdvManager']) : array();
+
+  if ((!isset($conf_UAM[20])))
+  {
+    $upgrade_UAM = $conf_UAM[0].';'.$conf_UAM[1].';'.$conf_UAM[2].';'.$conf_UAM[3].';'.$conf_UAM[4].';'.$conf_UAM[5].';'.$conf_UAM[6].';'.$conf_UAM[7].';'.$conf_UAM[8].';'.$conf_UAM[9].';'.$conf_UAM[10].';'.$conf_UAM[11].';'.$conf_UAM[12].';'.$conf_UAM[13].';'.$conf_UAM[14].';'.$conf_UAM[15].';'.$conf_UAM[16].';'.$conf_UAM[17].';'.$conf_UAM[18].';'.$conf_UAM[19].';false';
 		
 		$query = '
 UPDATE '.CONFIG_TABLE.'
-SET value="'.$upgrade_nbc_UserAdvManager.'"
+SET value="'.$upgrade_UAM.'"
 WHERE param="nbc_UserAdvManager"
 LIMIT 1
Index: /extensions/NBC_UserAdvManager/trunk/obsolete.list
===================================================================
--- /extensions/NBC_UserAdvManager/trunk/obsolete.list	(revision 5055)
+++ /extensions/NBC_UserAdvManager/trunk/obsolete.list	(revision 5056)
@@ -1,2 +1,4 @@
+admin/UserAdvManager_admin.php
 admin/confirmmail.tpl
 admin/UserAdvManager_admin.tpl
+include/functions_UserAdvManager.inc.php
